<?php
/**
* 2015 Skrill
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
*
*  @author    Skrill <contact@skrill.com>
*  @copyright 2015 Skrill
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of Skrill
*/

class SkrillRefundStatus extends oxUBase
{
    /**
     * this function run when we access the controller.
     */
    public function render()
    {
        $refundResponse = SkrillCore::getRequestParametersFromGateway();

        SkrillLogger::set()->info('Skrill - refund status url get refund response : '.json_encode($refundResponse));

        if (isset($refundResponse['status'])) {
            if ($refundResponse['status'] == SkrillCore::PROCESSEDSTATUS) {
                $refundResponse['status'] = SkrillCore::REFUNDEDSTATUS;
            } elseif ($refundResponse['status'] == SkrillCore::PENDINGSTATUS) {
                $refundResponse['status'] = SkrillCore::REFUNDPENDINGSTATUS;
            } elseif ($refundResponse['status'] == SkrillCore::FAILEDSTATUS) {
                $refundResponse['status'] = SkrillCore::REFUNDFAILEDSTATUS;
            }

            $oxid = oxRegistry::getConfig()->getRequestParameter('oxid');

            SkrillCore::updateExistingOrderStatus($oxid, $refundResponse);
            SkrillCore::updatePaymentLog($oxid, $refundResponse);
            if ($refundResponse['status'] == SkrillCore::REFUNDEDSTATUS) {
                if (SkrillCore::isOxidSix()) {
                    SkrillEmailOxidSix::sendNewOrderStatusEmail($oxid, $paymentResponse['status']);
                } else {
                    SkrillEmail::sendNewOrderStatusEmail($oxid, $paymentResponse['status']);
                }
            }
        }

        die('ok');
    }
}
