<?php
/**
* 2015 Skrill
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
*
*  @author    Skrill <contact@skrill.com>
*  @copyright 2015 Skrill
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of Skrill
*/

/**
 * Metadata version
 */
$sMetadataVersion = '1.1';

/**
 * Module information
 */
$aModule = array(
    'id'          => 'skrill',
    'title'       => 'Skrill Hosted Payment Solution',
    'description' => array(
        'en' => 'Take advantage of a modern, flexible, and optimized payment solution- all with one contract, one integration and free setup. 
        <br><br>
        <b>What this module does for you:</b>
        <br>
        <ul>
            <li>Free and quick setup</li>
            <li>Access credit cards, 20+ local payment methods and support for over 80 banks</li>
            <li>Take advantage of the Skrill multi-currency account, giving you access to 40+ currencies</li>
            <li>High-security standards and anti-fraud technology</li>
            <li>Seamless payment experience across mobile, tablet and desktop</li>
            <li>Connect with millions of Skrill account holders</li>
        <ul>
        <br>
        <b>Features:</b>
        <br><br>
        <ul>
            <li>Additional payment options and control over how they are displayed</li>
            <li>Instant settlement</li>
            <li>Enhanced reporting and transaction status viewing</li>
            <li>Refund capability within Oxid</li>
        </ul>
        <br>
        <b>What your customers will like:</b>
        <br><br>
        <ul>
            <li>Easy ways to pay safely online – no sign-up required to make payments</li>
            <li>Convenient and immediate payments – pay with debit and credit cards or with a bank account, without any hassle</li>
            <li>Multiple local payment options allowing customers to pay how they want</li>
            <li>Internationally recognized and trusted brand</li>
        </ul>
        <a style="color: white; background: #811e68; border-radius: 0.75em; padding: 15px; display: inline-block; text-transform: uppercase; font-size: 17px; margin-top: 20px; font-weight: bold;" href="https://www.skrill.com/en/business/ecommerce-promotion/?utm_source=oxid&utm_medium=banner&utm_campaign=ecomprom&utm_content=product-page&rid=21477246" target="_blank" class="pres-btn-signup">
                sign up now
        </a>
        <br><br>
        Contact Skrill: <a href="mailto:integrationsupport@paysafe.com">integrationsupport@paysafe.com</a>',
        'de' => '<b>Was dieses Modul für Sie leistet:</b>
        <br>
        <ul>
            <li>Kostenlose, zügige Einrichtung</li>
            <li>Zugriff auf Kreditkarten, über 20 lokale Zahlungsmethoden und Unterstützung für mehr als 80 Banken</li>
            <li>Nutzen Sie das Skrill-Mehrwährungskonto – mit Zugang zu über 40 Währungen</li>
            <li>Hohe Sicherheitsstandards und Betrugsschutztechnik</li>
            <li>Nahtloses Zahlungserlebnis auf Handy, Tablet und Computer</li>
            <li>Verbindung zu Millionen von Skrill-Kontoinhabern</li>
        <ul>
        <br>
        <b>Merkmale:</b>
        <br><br>
        <ul>
            <li>Zusätzliche Zahlungsoptionen und Kontrolle über deren Anzeige</li>
            <li>Sofortige Verrechnung</li>
            <li>Erweiterte Berichte und Transaktionsstatus-Ansicht</li>
            <li>Rückerstattungsfunktion innerhalb von OXID</li>
        </ul>
        <br>
        <b>Das wird Ihren Kunden gefallen:</b>
        <br><br>
        <ul>
            <li>Einfache Optionen zur sicheren Onlinezahlung – Zahlung auch ohne Registrierung möglich</li>
            <li>Bequeme und unverzügliche Zahlungen – per Debit- oder Kreditkarte oder von einem Bankkonto aus, ohne jeden Stress</li>
            <li>Mehrere lokale Zahlungsoptionen – Kunden zahlen wie sie wollen</li>
            <li>International anerkannte, vertrauenswürdige Marke</li>
        </ul>
        <a style="color: white; background: #811e68; border-radius: 0.75em; padding: 15px; display: inline-block; text-transform: uppercase; font-size: 17px; margin-top: 20px; font-weight: bold;" href="https://signup.skrill.com/business/#/contact?lang=DE&rid=21477246" target="_blank" class="pres-btn-signup">
                Jetzt registrieren
        </a>
        <br><br>
        Kontaktieren Sie Skrill: <a href="mailto:integrationsupport@paysafe.com">integrationsupport@paysafe.com</a>'
    ),
    'thumbnail'   => 'skrill_widget.png',
    'version'     => '1.0.11',
    'author'      => 'Skrill',
    'url'         => 'https://www.skrill.com/',
    'email'       => 'integrationsupport@paysafe.com',
    'extend'      => array(
        'oxbasketitem'      => 'skrill/models/SkrillOxBasketItem',
        'oxorder'           => 'skrill/models/SkrillOxOrder',
        'oxoutput'          => 'skrill/models/SkrillOxOutput',
        'oxpayment'         => 'skrill/models/SkrillOxPayment',
        'order'             => 'skrill/controllers/SkrillOrder',
        'payment'           => 'skrill/controllers/SkrillPayment',
        'order_overview'    => 'skrill/controllers/admin/SkrillOrderOverview',
    ),
    'files'        => array(
        'SkrillCore'                    => 'skrill/core/SkrillCore.php',
        'SkrillEmail'                   => 'skrill/core/SkrillEmail.php',
        'SkrillEmailOxidSix'            => 'skrill/core/SkrillEmailOxidSix.php',
        'SkrillConfig'                  => 'skrill/core/SkrillConfig.php',
        'SkrillActivation'              => 'skrill/core/SkrillActivation.php',
        'SkrillLogger'                  => 'skrill/core/SkrillLogger.php',
        'SkrillDb'                      => 'skrill/core/SkrillDb.php',

        'SkrillOxidVersion'             => 'skrill/helper/SkrillOxidVersion.php',

        'SkrillPaymentOverview'         => 'skrill/controllers/admin/SkrillPaymentOverview.php',
        'SkrillSetting'                 => 'skrill/controllers/admin/SkrillSetting.php',
        'SkrillRefundStatus'            => 'skrill/controllers/SkrillRefundStatus.php',
        'SkrillPaymentStatus'           => 'skrill/controllers/SkrillPaymentStatus.php',

        'SkrillPaymentAbstract'         => 'skrill/controllers/SkrillPaymentAbstract.php',
        'SkrillPaymentAcc'              => 'skrill/controllers/SkrillPaymentAcc.php',
        'SkrillPaymentAci'              => 'skrill/controllers/SkrillPaymentAci.php',
        'SkrillPaymentAdb'              => 'skrill/controllers/SkrillPaymentAdb.php',
        'SkrillPaymentAli'              => 'skrill/controllers/SkrillPaymentAli.php',
        'SkrillPaymentAob'              => 'skrill/controllers/SkrillPaymentAob.php',
        'SkrillPaymentBlk'              => 'skrill/controllers/SkrillPaymentBlk.php',
        'SkrillPaymentFlexible'         => 'skrill/controllers/SkrillPaymentFlexible.php',
        'SkrillPaymentGir'              => 'skrill/controllers/SkrillPaymentGir.php',
        'SkrillPaymentIdl'              => 'skrill/controllers/SkrillPaymentIdl.php',
        'SkrillPaymentMae'              => 'skrill/controllers/SkrillPaymentMae.php',
        'SkrillPaymentMbw'              => 'skrill/controllers/SkrillPaymentMbw.php',
        'SkrillPaymentMsc'              => 'skrill/controllers/SkrillPaymentMsc.php',
        'SkrillPaymentMub'              => 'skrill/controllers/SkrillPaymentMub.php',
        'SkrillPaymentNtl'              => 'skrill/controllers/SkrillPaymentNtl.php',
        'SkrillPaymentObt'              => 'skrill/controllers/SkrillPaymentObt.php',
        'SkrillPaymentPch'              => 'skrill/controllers/SkrillPaymentPch.php',
        'SkrillPaymentPgf'              => 'skrill/controllers/SkrillPaymentPgf.php',
        'SkrillPaymentPli'              => 'skrill/controllers/SkrillPaymentPli.php',
        'SkrillPaymentPsc'              => 'skrill/controllers/SkrillPaymentPsc.php',
        'SkrillPaymentPwy'              => 'skrill/controllers/SkrillPaymentPwy.php',
        'SkrillPaymentRer'              => 'skrill/controllers/SkrillPaymentRer.php',
        'SkrillPaymentSft'              => 'skrill/controllers/SkrillPaymentSft.php',
        'SkrillPaymentSpx'              => 'skrill/controllers/SkrillPaymentSpx.php',
        'SkrillPaymentVsa'              => 'skrill/controllers/SkrillPaymentVsa.php',
        'SkrillPaymentWlt'              => 'skrill/controllers/SkrillPaymentWlt.php',

        'SkrillOrderNumberReservation'  => 'skrill/models/SkrillOrderNumberReservation.php',
        'SkrillPaymentLog'              => 'skrill/models/SkrillPaymentLog.php',
        'SkrillOxCountry'               => 'skrill/models/SkrillOxCountry.php',

    ),
    'blocks' => array(
        array('template' => 'page/checkout/payment.tpl',
            'block' => 'select_payment',
            'file' => 'views/blocks/page/checkout/payment/SkrillSelectPayment.tpl'),
        array('template' => 'order_overview.tpl',
            'block' => 'admin_order_overview_checkout',
            'file' => 'views/blocks/admin/SkrillOrderOverview.tpl'),
    ),
    'templates' => array(
        'SkrillPaymentOverview.tpl'                 =>
        'skrill/views/admin/tpl/SkrillPaymentOverview.tpl',
        'SkrillSetting.tpl'                     => 'skrill/views/admin/tpl/SkrillSetting.tpl',
        'SkrillPaymentOther.tpl'             =>
            'skrill/views/azure/tpl/page/checkout/inc/SkrillPaymentOther.tpl',
        'SkrillPaymentIframe.tpl'              =>
            'skrill/views/azure/tpl/page/skrill/SkrillPaymentIframe.tpl',
        'new_status_order.tpl'                       =>
        'skrill/views/admin/tpl/email/html/new_status_order.tpl',
        'new_status_order_plain.tpl'                 =>
            'skrill/views/admin/tpl/email/plain/new_status_order.tpl',
    ),
    'events'      => array(
        'onActivate'   => 'SkrillActivation::onActivate',
        'onDeactivate' => 'SkrillActivation::onDeactivate',
    ),
);
